package fslog

import (
	"go.uber.org/zap/zapcore"
)

type Level zapcore.Level

const (
	DebugLv = Level(zapcore.DebugLevel)
	InfoLv  = Level(zapcore.InfoLevel)
	WarnLv  = Level(zapcore.WarnLevel)
	ErrorLv = Level(zapcore.ErrorLevel)
)

func (l Level) zap() zapcore.Level {
	return zapcore.Level(l)
}

// zapcore.Core 的分类枚举
// 方便外部对默认core的改写、扩展
type coreType uint8

const (
	// 控制台输出
	console = iota
	// 文件输出
	output
	// zap内置
	system
	// 用户定义
	third
)
